Ergebnis 1 bis 10 von 10

Thema: PHP7 läuft nicht unter Vbulletin Suite , aber unter Vbulletin (Forum)

  1. #1
    Benutzer
    Registriert seit
    29.04.2011
    Ort
    Stuttgart
    Alter
    40
    Beiträge
    57

    PHP7 läuft nicht unter Vbulletin Suite , aber unter Vbulletin (Forum)

    Hallo zusammen,
    Mich hat es auch getroffen, das unter Vbulletin Suite nichts mehr lief bzw ich kann die Beiträge nicht mehr öffnen (Fehlermeldung), ich frage mich , warum das unterschiedlich gehandhabt wird, ich meine das mit den php 7 Version.
    Die Forum Version funktioniert unter PHP 7.1 die Suite von der Englische Seite nicht.

    Wollte das nur mal mitteilen.

    Ich denke auch das ich wieder zu Xenforo gehen werde.

    mfg
    moby

  2. #2
    vBulletin-Germany Team Avatar von pogo
    Registriert seit
    01.06.2001
    Ort
    Hannover
    Alter
    43
    Beiträge
    16.438
    Blog-Einträge
    5
    Dann muss aber irgendein von dir hinzugefügter Code, Plugin, Addon, etc. den Fehler verursachen.

    Es läuft schon bis PHP 7.1.x, egal, ob Suite, Forum, ...

    Mein Wunschzettel
    Warum du keine Anhänge herunterladen kannst!
    Suchst du Hacks, Add-ons, Modifikationen, Styles, Buttons und mehr? -> Auf zu vB.org!

  3. #3
    vB-Guru Avatar von Jaydee
    Registriert seit
    29.05.2008
    Ort
    ...tief im Westen....
    Alter
    57
    Beiträge
    13.534
    Ich verstehe es auch nicht, auch die Herkunft (englische oder deutsche Version) spielt dabei keine Rolle.
    Beides läuft (ggf. mit einigen manuellen Anpassungen) sogar bis PHP 7.2 noch problemlos.

    Was danach mal kommt, müssen wir abwarten. Das ist noch eher Zukunftsmusik.Die meisten Hoster arbeiten noch mit den frühen 7.x Versionen und die laufen definitiv sowohl mit Forum, als auch der Suite (die technisch in dem Punkt keinen Unterschied darstellt).
    Gruß
    Jörg


    Die deutsche Rechtschreibung ist Freeware. Das heißt, Du kannst sie kostenlos nutzen.
    Allerdings ist sie nicht Open Source, d.h. Du darfst sie nicht verändern oder in veränderter Form veröffentlichen.



  4. #4
    Benutzer
    Registriert seit
    29.04.2011
    Ort
    Stuttgart
    Alter
    40
    Beiträge
    57
    Ich habe die Suite nicht von hier , sondern von der Englische Seite ( Vbulletin Connect).

    Hier mal mein Fehler der ausgegeben wird, sobald ich ein Beitrag öffnen möchte.
    Ich kann sogar Neue Themen/Beiträge verfassen nur nicht mehr öffnen.

    2-3 Addons gehen auch nicht mehr , da bekomme ich eine weisse Seite.

    Fehler :
    syntax error, unexpected 'new' (T_NEW) on line 398 in /mnt/web012/e1/88/5209788/htdocs/VisenetINFO/mobynet/includes/class_postbit.php(345) : eval()'d code
    #0 /mnt/web012/e1/88/5209788/htdocs/VisenetINFO/mobynet/showthread.php(1097): vB_Postbit->construct_postbit(Array)
    #1 {main}

    Gestern habe ich mir , die Forum Version 4.2.5 von hier geladen und ich habe es ohne Probleme zum laufen gebracht , sehr komisch, oder?

    MFG
    moby



  5. #5
    vB-Guru Avatar von Jaydee
    Registriert seit
    29.05.2008
    Ort
    ...tief im Westen....
    Alter
    57
    Beiträge
    13.534
    Vielleicht hat IB noch weitere Modifikationen vorgenommen, keine Ahnung. Ich traue dem Verein eh nicht...
    Bisher gabs da jedenfalls keine nennenswerten Unterschiede zu dieser Version hier.

    Auf jedenfalls ist der Denkansatz
    PHP7 läuft nicht unter Vbulletin Suite , aber unter Vbulletin (Forum)
    technisch schon mal grundfalsch, denn es ist genau umgekehrt: vBulletin läuft UNTER PHP (XYZ), nicht umgekehrt.
    Gruß
    Jörg


    Die deutsche Rechtschreibung ist Freeware. Das heißt, Du kannst sie kostenlos nutzen.
    Allerdings ist sie nicht Open Source, d.h. Du darfst sie nicht verändern oder in veränderter Form veröffentlichen.



  6. #6
    vBulletin-Germany Team Avatar von pogo
    Registriert seit
    01.06.2001
    Ort
    Hannover
    Alter
    43
    Beiträge
    16.438
    Blog-Einträge
    5
    Zitat Zitat von moby2006 Beitrag anzeigen
    Ich habe die Suite nicht von hier , sondern von der Englische Seite ( Vbulletin Connect).

    Hier mal mein Fehler der ausgegeben wird, sobald ich ein Beitrag öffnen möchte.
    Ich kann sogar Neue Themen/Beiträge verfassen nur nicht mehr öffnen.

    2-3 Addons gehen auch nicht mehr , da bekomme ich eine weisse Seite.

    Fehler :
    syntax error, unexpected 'new' (T_NEW) on line 398 in /mnt/web012/e1/88/5209788/htdocs/VisenetINFO/mobynet/includes/class_postbit.php(345) : eval()'d code
    #0 /mnt/web012/e1/88/5209788/htdocs/VisenetINFO/mobynet/showthread.php(1097): vB_Postbit->construct_postbit(Array)
    #1 {main}

    Gestern habe ich mir , die Forum Version 4.2.5 von hier geladen und ich habe es ohne Probleme zum laufen gebracht , sehr komisch, oder?

    MFG
    moby
    Ja, ein Add-on, das ein Plug-in nutzt mit dem Einstiegspunkt postbit_display_complete verhindert das Öffnen der Themen.

    Schau also bei den Plug-ins, welche diesen Einstiegspunkt nutzen und deaktiviere erstmal die zugehörigen Add-ons.

    Vielleicht gibt es ja Updates für die Add-ons.

    Mein Wunschzettel
    Warum du keine Anhänge herunterladen kannst!
    Suchst du Hacks, Add-ons, Modifikationen, Styles, Buttons und mehr? -> Auf zu vB.org!

  7. #7
    Benutzer
    Registriert seit
    29.04.2011
    Ort
    Stuttgart
    Alter
    40
    Beiträge
    57
    Zitat Zitat von pogo Beitrag anzeigen
    Ja, ein Add-on, das ein Plug-in nutzt mit dem Einstiegspunkt postbit_display_complete verhindert das Öffnen der Themen.

    Schau also bei den Plug-ins, welche diesen Einstiegspunkt nutzen und deaktiviere erstmal die zugehörigen Add-ons.

    Vielleicht gibt es ja Updates für die Add-ons.
    Du bist mein Held , ich habe es gefunden , der übeltäter war Add-on : Sids Hide Hack.

    Nur habe ich 2 mal den Einstiegpunkt: postbit_display_complete
    hide hack ajax request und fetch hide tag

    Ich habe das 1. deaktiviert hide hack ajax request und es funktioniert trotzdem :-)
    wenn ich nur das andere Deaktiviere kommt trotzdem der Fehler.

    Mein letztes Problem ist , das die Iproarcade und die Linkliste nicht mehr funktionieren (weiße Seite) das ist aber erstmal nicht so schlimm, hauptsache die Software läuft wieder.

    Vielen Dank

    MFG
    Hansi

  8. #8
    vB-Guru Avatar von Jaydee
    Registriert seit
    29.05.2008
    Ort
    ...tief im Westen....
    Alter
    57
    Beiträge
    13.534
    Trotzdem entzieht es sich im Moment weiterhin meinem Verständnis, was es mit diesen beiden Versionen nun auf sich hat, bzw. was Add-ons damit zu tun haben sollten:

    Zitat Zitat von moby2006 Beitrag anzeigen
    Ich habe die Suite nicht von hier , sondern von der Englische Seite ( Vbulletin Connect).

    Hier mal mein Fehler der ausgegeben wird, sobald ich ein Beitrag öffnen möchte.
    Ich kann sogar Neue Themen/Beiträge verfassen nur nicht mehr öffnen.

    [...]
    Gestern habe ich mir , die Forum Version 4.2.5 von hier geladen und ich habe es ohne Probleme zum laufen gebracht , sehr komisch, oder?
    Mal abgesehen von dem (offensichtlichen) Add-on Problem durch Veraltung, diese liefen doch vermutlich auch vorher schon, also in beiden "Versionen", oder?
    Ich sehe da den Unterschied zwischen der IB- und der "deutschen" Version immer noch nicht.

    Für mein Verständnis müssten (solange die Version ansonsten gleich ist, also z.B. 4.2.5) SOWOHL in der US- als AUCH in der deutschen Version die reinen Suites OHNE Add-ons laufen, MIT jedoch nicht bzw. zu Fehlern führen.
    Irgendwas habe ich da gerade verpasst.
    Wieso laufen sie in der deutschen Version (also "von hier"), nicht aber in der von Internet Brands?
    Nach aller menschlichen Logik würde das normal bedeuten, dass es sehr wohl einen Unterschied zwischen diesen beiden Versionen gibt, was die "PHP-Verträglichkeit" angeht.
    Das ist für mich gerade etwas abstrus, dass die US-Version nur mit deaktivierten Plugins rennt, die deutsche aber offenbar auch mit.

    Ansonsten verstehe ich den letzten Satz ("ohne Probleme" - "sehr komisch, oder?") nicht so ganz.
    Für die "nackte Suite" sind jegliche Add-ons erst mal völlig außen vor, entweder sie rennt, oder sie tut es nicht. Egal ob deutsch, englisch oder von mir aus koreanisch...
    Gruß
    Jörg


    Die deutsche Rechtschreibung ist Freeware. Das heißt, Du kannst sie kostenlos nutzen.
    Allerdings ist sie nicht Open Source, d.h. Du darfst sie nicht verändern oder in veränderter Form veröffentlichen.



  9. #9
    Benutzer
    Registriert seit
    29.04.2011
    Ort
    Stuttgart
    Alter
    40
    Beiträge
    57
    Zitat Zitat von Jaydee Beitrag anzeigen
    Trotzdem entzieht es sich im Moment weiterhin meinem Verständnis, was es mit diesen beiden Versionen nun auf sich hat, bzw. was Add-ons damit zu tun haben sollten:
    Ich dachte, das die Suite von der Englische Seite kein PHP 7.1 unterstützt, das war mein Fehler, hätte besser lesen sollen.
    Es waren 2 Addons die nicht mehr gingen , das eine liefert mir einen Fehler, wo ich einfach den Einstiegspunkt deaktiviert habe (Dank Pogo)
    Das andere war die Arcade , die aktuelle Version installiert und es geht wieder.

    Das VB Linkliste von Vossi geht leider nicht, weisse Seite , aber nicht so tragisch.



    Zitat Zitat von Jaydee Beitrag anzeigen
    Ansonsten verstehe ich den letzten Satz ("ohne Probleme" - "sehr komisch, oder?") nicht so ganz.
    Für die "nackte Suite" sind jegliche Add-ons erst mal völlig außen vor, entweder sie rennt, oder sie tut es nicht. Egal ob deutsch, englisch oder von mir aus koreanisch...
    Damit hast du recht , würde jetzt auch so stimmen!

    - - - Aktualisiert - - -

    Zitat Zitat von Jaydee Beitrag anzeigen
    Mal abgesehen von dem (offensichtlichen) Add-on Problem durch Veraltung, diese liefen doch vermutlich auch vorher schon, also in beiden "Versionen", oder?
    Vorher gingen die , nur da hatte ich ja noch kein PHP 7.1 umgestellt.

  10. #10
    vB-Guru Avatar von Jaydee
    Registriert seit
    29.05.2008
    Ort
    ...tief im Westen....
    Alter
    57
    Beiträge
    13.534
    Ah ok, verstehe. Danke für die Erläuterung.
    Gruß
    Jörg


    Die deutsche Rechtschreibung ist Freeware. Das heißt, Du kannst sie kostenlos nutzen.
    Allerdings ist sie nicht Open Source, d.h. Du darfst sie nicht verändern oder in veränderter Form veröffentlichen.



Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Ähnliche Themen

  1. Antworten: 0
    Letzter Beitrag: 21.11.2013, 20:12
  2. Allgemein - vBulletin wird unter Opera (Mac) nicht angezeigt
    Von Bidi im Forum vBulletin 4 Fragen und Probleme
    Antworten: 0
    Letzter Beitrag: 12.12.2011, 18:06
  3. Unter PHP5 läuft nichts ?
    Von stieger im Forum vBulletin 3.8 Fragen und Probleme
    Antworten: 24
    Letzter Beitrag: 09.06.2009, 16:38
  4. ad_showthread_firstpost - Nicht unter 1. sondern unter 3. Beitrag
    Von ses im Forum vBulletin 3.7 Fragen und Probleme
    Antworten: 5
    Letzter Beitrag: 18.01.2009, 17:48
  5. Sofortige Benachrichtigung bei einer neuen PN läuft unter Linux nicht
    Von 11google11 im Forum vBulletin 3.6 Fragen und Probleme
    Antworten: 2
    Letzter Beitrag: 17.03.2008, 11:53

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •